aboutsummaryrefslogtreecommitdiffstats
path: root/Documentation/aoe/mkdevs.sh
diff options
context:
space:
mode:
authorEd L. Cashin <ecashin@coraid.com>2004-12-16 22:50:31 -0800
committerGreg Kroah-Hartman <greg@kroah.com>2004-12-16 22:50:31 -0800
commit3db119285eae7b420bdccf379f0e06b0c1166c2b (patch)
tree3abe6b07405631a0ef0532a596127d729ee145eb /Documentation/aoe/mkdevs.sh
parentb1cbc1086d663905c0e5775f3f5f28239f6c505e (diff)
downloadhistory-3db119285eae7b420bdccf379f0e06b0c1166c2b.tar.gz
[PATCH] add ATA over Ethernet driver
Provide support for ATA over Ethernet devices Signed-off-by: Ed L. Cashin <ecashin@coraid.com> Signed-off-by: Greg Kroah-Hartman <greg@kroah.com>
Diffstat (limited to 'Documentation/aoe/mkdevs.sh')
-rw-r--r--Documentation/aoe/mkdevs.sh33
1 files changed, 33 insertions, 0 deletions
diff --git a/Documentation/aoe/mkdevs.sh b/Documentation/aoe/mkdevs.sh
new file mode 100644
index 0000000000000..fa007699c636a
--- /dev/null
+++ b/Documentation/aoe/mkdevs.sh
@@ -0,0 +1,33 @@
+#!/bin/sh
+
+n_shelves=10
+
+if test "$#" != "1"; then
+ echo "Usage: sh mkdevs.sh {dir}" 1>&2
+ exit 1
+fi
+dir=$1
+
+MAJOR=152
+
+echo "Creating AoE devnode files in $dir ..."
+
+set -e
+
+mkdir -p $dir
+
+# (Status info is in sysfs. See status.sh.)
+# rm -f $dir/stat
+# mknod -m 0400 $dir/stat c $MAJOR 1
+rm -f $dir/err
+mknod -m 0400 $dir/err c $MAJOR 2
+rm -f $dir/discover
+mknod -m 0200 $dir/discover c $MAJOR 3
+rm -f $dir/interfaces
+mknod -m 0200 $dir/interfaces c $MAJOR 4
+
+i=0
+while test $i -lt $n_shelves; do
+ sh -xc "sh `dirname $0`/mkshelf.sh $dir $i"
+ i=`expr $i + 1`
+done